package domain

type UserAgentRepository interface{
	Migrate() error
	CreateUserAgent(useragent UserAgent) (*UserAgent, error)
	All() ([]UserAgent, error)
	GetByName(name string) (*UserAgent, error)
	Update(id int64, useragent UserAgent) (*UserAgent, error)
	Delete(id int64) error
}

type FileDataRepository interface {
	OpenOrCreate(path string, user_agent string) (BogFileData, error)
	Delete(file_data *BogFileData)
}
